{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} All employees {% endblock title %}
{% block css %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bm/jq-3.6.0/dt-1.12.1/datatables.min.css" />
{% endblock css %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Leaves
        </p>
        <p class="subtitle">
            List of leaves you have taken
        </p>
    </div>
</section>
<div class="section pt pt-0">
    
    <div class="columns">
        <div class="column is-two-thirds is-offset-2">
            <div class="block mt-5">
                    <div class = is-size-2>
                    </div>
                    <div class="columns">
                        <div class="column">
                            <div class = "box">
                                <div class = "has-text-centered">
                                    <div class="has-text-weight-semibold">
                                    <div class="has-text-danger-dark">
                                    <p class="is-size-3">{{default_leave|floatformat}}</p>
                                </div>
                            </div>
                                   <p class=""> Available leaves from year start</p> 
                                
                                </div>
                            </div>
                        </div>
                        <div class="column">
                            <div class = "box">
                                <div class = "has-text-centered">
                                    <div class="has-text-weight-semibold">
                                    <div class="has-text-danger-dark">
                                    <p class="is-size-3">{{leaves_taken|floatformat}}</p>
                                </div>
                            </div>
                                   <p class=""> Leaves taken till now</p> 
                                
                                </div>
                            </div> 
                       </div>
                        <div class="column">
                            <div class = "box">
                                <div class = "has-text-centered">
                                    <div class="has-text-weight-semibold">
                                    <div class="has-text-danger-dark">
                                    <p class="is-size-3">{{remaining_leave|floatformat}}</p>
                                </div>
                            </div>
                                {% if remaining_leave == 1 %}
                                   <p class=""> Remaining leave</p>
                                   {% else %} 
                                   <p class=""> Remaining leaves</p>
                                {% endif %}
                                </div>
                            </div>
                        </div>
                      </div>
                <table class="table has-sticky-header">
                    <thead>
                        <tr>
                            <th>From</th>
                            <th>To</th>
                            <th>Approved?</th>
                            <th>Number of Days</th>
                            <th>Leave Type</th>
                            <th>Applied By</th>
                            <th>Applied On</th>
                            <th>Approved By</th>
                            <th>Approved On</th>
                            <th>Document Required?</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for leave in eleaves %}
                        <form action={% url 'my_leave' %} method="post" enctype="multipart/form-data">
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <tr>
                                <td> {{leave.from_date}}</td>
                                <td> {{leave.to_date}}</td>
                                <td>
                                    {% if leave.approved is True %}
                                    <span class="tag is-success is-medium is-rounded"> Yes </span>
                                    {% elif leave.approved is False %}
                                    <span class="tag is-danger is-medium is-rounded"> No </span>
                                    {% else %}
                                    <span class="tag is-warning is-medium is-rounded"> Not yet </span>
                                    {% endif %}
                                </td>
                                <td> {{leave.days|floatformat}} </td>
                                <td> 
                                    {% if leave.leave_type == "Casual" %}
                                    <span class="tag is-warning is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% elif leave.leave_type == "Medical" %}
                                    <span class="tag is-danger is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% elif leave.leave_type == "Compensation" %}
                                    <span class="tag is-success is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% else %}
                                    <span class="tag is-info is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% endif %}
                                </td>
                                <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                                <td> {{leave.applied_at}}</td>
                                <td>
                                    {% if leave.approved_by %} 
                                    {{leave.approved_by.first_name}} {{leave.approved_by.last_name}}
                                    {% else %}
                                    None
                                    {% endif %}
                                </td>
                                <td> {{leave.approved_at}}</td>
                                <td>
                                {% if leave.leave_type == "Medical" or leave.leave_type == "Compensation" %}
                                    {% if leave.leave_doc %}
                                        No
                                    {% else %}
                                        {{form | crispy}}
                                        <button type="submit" class="button is-success is-small">Upload</button>
                                    {% endif %}
                                {% else %}
                                    No
                                {% endif %}
                            </td>
                            </form>
                            <form action={% url 'leave_withdraw' %} method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="leave-id" value="{{leave.id}}">
                                <td>
                                    {% if leave.approved is not None %}
                                    You cannot withdraw
                                {% else %}
                                    <button type="submit" class="button is-success is-small">Withdraw</button>
                                {% endif %}
                                </td>
                        </form>
                    </tr>

                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

{% endblock content %}
{% block javascript %}
<script type="text/javascript" src="{% static 'js/datatables.min.js'%}"></script>
<script type="text/javascript" charset="utf8">
    $(document).ready(function() {
        $('#myTable').DataTable();
    });
</script>
{% endblock javascript %}